
QGIS Application - Bug report #20483

Crash on Interpolation

2018-11-13 10:54 PM - Andy Ford

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28303

Description

User Feedback

Trying to run TIN interpolation - keep having to cut these down and down as they're taking 30+ mins to do nothing. 2 weeks back it was

done in seconds on similar sized areas. Have zero idea what has changed and caused this but it's across every project I've got. Insanely

frustrating but can't figure out why it isn't working.

Report Details

Crash ID: 243a0292c90a76231615b8eea5bc66579c428f7d

Stack Trace

QgsFeedback::progress :

MathUtils::lineIntersection :

DualEdgeTriangulation::insertForcedSegment :

DualEdgeTriangulation::addLine :

QgsTinInterpolator::insertData :

QgsTinInterpolator::initialize :

QgsTinInterpolator::interpolatePoint :

PyInit__analysis :

QgsGridFileWriter::writeFile :

PyInit__analysis :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> >

>::~_String_alloc<std::_String_base_types<char,std::allocator<char> > > :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2
Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-14 06:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Vectors to Processing/QGIS

1) Please try 3.4.1

2) add sample data (and parameters) that we can use to replicate the issue

#2 - 2018-12-24 09:06 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
